Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] Application Context and OpenMPI 1.2.4
From: pat.o'bryant_at_[hidden]
Date: 2008-06-16 09:37:30

I am having a problem using an "application context" with OpenMPI 1.2.4.
My invocation of "mpirun" is shown below along with the "--app" file.

     export LD_LIBRARY_PATH="/usr/local/openmpi-1.2.4/gnu/lib"
     /usr/local/openmpi-1.2.4/gnu/bin/mpirun --app /my_id/appschema

Contents of "--app" file:
    -np 1 /my_id/Gnu/hello_mpi

Ldd of hello_mpi:
     ldd hello_mpi => /lib64/tls/ (0x0000002a9566c000) => /usr/local/openmpi-1.2.4/gnu/lib/
(0x0000002a957f3000) => /usr/local/openmpi-1.2.4
/gnu/lib/ (0x0000002a9598e000) => /usr/local/openmpi-1.2.4
/gnu/lib/ (0x0000002a95ae9000) => /lib64/ (0x0000002a95c47000) => /lib64/ (0x0000002a95d4b000) => /lib64/ (0x0000002a95e62000) => /lib64/tls/ (0x0000002a95f65000) => /lib64/tls/ (0x0000002a9607b000)
        /lib64/ (0x0000002a95556000)

Error message:
   ORTE_ERROR_LOG: Data unpack had inadequate space in file
dss/dss_unpack.c at line 90

Any help would be greatly appreciated.

 Pat O'Bryant

J.W. (Pat) O'Bryant,Jr.
Business Line Infrastructure
Technical Systems, HPC
Office: 713-431-7022